org.glassfish.jersey.server.monitoring

## Interface ApplicationMXBean

    public interface ApplicationMXBean

Application MX Bean.

Author:
  Miroslav Fuksa

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getApplicationClass()` Get the `application class` used for configuration of Jersey application.
`String` `getApplicationName()` Get the application name.
`Map<String,String>` `getProperties()` Get the map of configuration properties converted to strings.
`Set<String>` `getProviderClasses()` Get classes of registered providers.
`Set<String>` `getRegisteredClasses()` Get a set of string names of resource classes registered by the user.
`Set<String>` `getRegisteredInstances()` Get a set of string names of classes of user registered instances.
`Date` `getStartTime()` Get the start time of the application (when application was initialized).

### Method Detail

#### getApplicationName

    String getApplicationName()

Get the application name.

Returns:
  Application name.

#### getApplicationClass

    String getApplicationClass()

Get the `application class` used for configuration of Jersey application.

Returns:
  Application class name.

#### getProperties

    Map<String,String> getProperties()

Get the map of configuration properties converted to strings.

Returns:
  Map property keys to property string values.

#### getStartTime

    Date getStartTime()

Get the start time of the application (when application was initialized).

Returns:
  Application start time.

#### getRegisteredClasses

    Set<String> getRegisteredClasses()

Get a set of string names of resource classes registered by the user.

Returns:
  Set of classes full names (with package names).
See Also:
  `for specification of returned classes.`

#### getRegisteredInstances

    Set<String> getRegisteredInstances()

Get a set of string names of classes of user registered instances.

Returns:
  Set of user registered instances converted to their class full names (with package names).
See Also:
  `for specification of returned instances.`

#### getProviderClasses

    Set<String> getProviderClasses()

Get classes of registered providers.

Returns:
  Set of provider class full names (with packages names).
See Also:
  `for specification of returned classes.`